%global commitId fed5d6324b2e8fef4b3e130c25eeac7d6d7ca0b4

Name:          aap-cloud-addons
Version:       1.0.1
Release:       1%{?dist}
Summary:       Ansible Automation Platform Cloud Addons
License:       ASL 2.0
URL:           https://github.com/ansible
Source0:       aap-seeded-content-fed5d6324b2e8fef4b3e130c25eeac7d6d7ca0b4.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-requests

Provides:      python3dist(ansible_automation_platform_seeded_content) = 0.1.1
Provides:      python%{python3_version}dist(ansible_automation_platform_seeded_content) = 0.1.1

%description
Ansible Automation Platform Cloud Addons

%prep
%autosetup -n aap-seeded-content-%{commitId} -S git

%build
export PBR_VERSION=0.1.1
%{py3_build}

%install
export PBR_VERSION=0.1.1
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-seeded-content
%license LICENSE
%doc ChangeLog README.rst

%changelog
* Fri May 19 2023 Dimitri Savineau <dsavinea@redhat.com> - 1.0.1-1
- Ansible Automation Platform Seeded Content 0.1.1

* Mon Jul 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.0.0-1
- Ansible Automation Platform Cloud Addons
- add Ansible Automation Platform Seeded Content 0.1.0
